<?php
if ( ! class_exists( 'WP_Customize_Control' ) )
    return NULL;

/**
 * Class to create a custom date picker
 */
class Elsa_Date_Picker_Custom_Control extends WP_Customize_Control
{
    /**
    * Enqueue the styles and scripts
    */
    public function enqueue()   {
        wp_enqueue_script('elsa-timepicker-js', get_template_directory_uri() . '/inc/date/jquery-ui-timepicker-addon.js', array('jquery-ui-core', 'jquery-ui-datepicker'), '1.1');
        wp_enqueue_style('elsa-jquery-ui-css', get_template_directory_uri() . '/inc/date/jquery-ui.css', false, '1.0');
        wp_enqueue_style('elsa-timepicker-css', get_template_directory_uri() . '/inc/date/jquery-ui-timepicker-addon.css', false, '1.1');
    }

    /**
    * Render the content on the theme customizer page
    */
    public function render_content()    {
        ?>
            <label>
              <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
              <input <?php echo $this->get_link();?> type="text" style="width: 120px;" id="<?php echo $this->id; ?>" name="<?php echo $this->id; ?>" value="<?php echo esc_attr($this->value()); ?>" class="datetimepicker" />
            </label>
        <?php
    }
}
?>